@import "../variables.less";

.tor1e.sheet.item {
  form {
    display: flex;
    flex-direction: column;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border: none;
    margin: auto;
    position: absolute;
  }

  .sheet-header {
    img {
      width: auto;
    }
  }

  .sheet-content {
    height: 100%;
    display: flex;
    flex-direction: column;

    .editor {
      min-height: 50px;
      height: 100%;

      .tox-tinymce {
        min-height: 100px;
      }
    }
  }
}

.item-sheet {

  section {
    margin-top: 2em;
  }

  .item-row {
    justify-content: space-evenly;
    margin: 1em 0.5em;
    align-items: center;
  }

  .simple-attribute {
    flex: 1;
  }

  .double-attribute {
    flex: 2;
  }

  .attribute {
    flex: none;
    align-items: center;
  }

  .attribute-label {
    flex: none;
    font-weight: bold;
    margin-right: 0.5em;
  }

  .attribute-number-value {
    flex: none;
    width: 4em;
    text-align: center;
  }

  .attribute-text-value {
    flex: none;
    text-align: left;
  }

  .description-label {
    font-size: @bigger;
    font-weight: bold;
    border-bottom: 1px solid #782e22;
  }

}

.weapon-details-container {
  display: flex; /* or inline-flex */
  justify-content: space-around;
}